EDIT - bug #7079

P2 updates not found
11/22/2017 12:25 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

The behavior of the automatic update is somewhat undeterministic: On some systems it works and on some it doesn't. There are
even cases where only the nightly update or only the stable update works.

We have to investigate how to deterministically reproduce the problem.

P2 caches update information. This could also be a problem.
p2 cache
The p2 cache is located in the Taxeditor installation folder at ./p2/org.eclipse.equinox.p2.repository/cache this folder contains a file

with a cryptic name. In my case it is named -622154754. This file is an xz archive, which seems to have the same content as the
content.xml.xzin the p2 download site. Maybe this is exactly the file which has been downloaded from the update site.

repeating description of #5061 which has been set as duplicate of this issue:

This may be due to http:/eclipsesource.com/blogs/2012/08/31/reloading-your-p2-cache/

We can solve this problem by simply forcing a reload of the p2 caches always before the update check, but first we need to confirm
that this is indeed the problem.

This can be checked by choosing Preferences -> Install / Update -> Available Software Sites. Then select the nightly site and click
reload. If this works then it should be the cache that is causing the problem.

Related issues:

Related to EDIT - feature request #4452: p2 update problem with nebula compos... Closed
Related to EDIT - bug #5430: P2 update of Taxonomic Editor bundled with JRE d... New

Related to EDIT - feature request #7076: Add Nebula CompositeTable as direct ... Closed
Related to EDIT - bug #7279: p2 sites are extremely huge Closed
Related to EDIT - feature request #9118: Change p2 update site to https in Ta... Closed

Associated revisions

Revision b1d99f9a - 02/07/2018 11:33 AM - Patrick Plitzner

ref #7079 Remove filter for update site

e this may resolve some of the problems with the p2 updates because now all dependencies will be uploaded to the update site

Revision 5987bc1c - 02/07/2018 12:44 PM - Patrick Plitzner
ref #7079, #7076 Add nebula composite table as update site dependency

e after removing the filter for the update site (#7079) the nebula composite table can be added as an update site dependency

Revision 87f1ced1 - 02/07/2018 04:45 PM - Patrick Plitzner
ref #7079, #7076 Add composite tabel dependency to product launch
http://eclipsesource.com/blogs/2012/08/31/reloading-your-p2-cache/

History

#1 - 11/22/2017 12:39 PM - Andreas Kohlbecker

- File wireshark-screenshot.png added

Hallo,

ich habe mir das geupdate des Editors in der develop version mal im wireshark angesehen:
HTTP Location (http.location), 82 bytes

Es sieht so aus als wirde der taxeditor nach dem 2ten redirect einfach nicht weiter machen .

Andreas

#2 - 11/22/2017 01:25 PM - Andreas Miiller
- Related to feature request #4452: p2 update problem with nebula compositetable dependency added

#3 - 11/22/2017 01:28 PM - Andreas Miiller
- Related to bug #5430: P2 update of Taxonomic Editor bundled with JRE does not work added

#5 - 11/22/2017 01:29 PM - Andreas Miiller

Patrick, could you please check if #5061 and this ticket are duplicates?

#8 - 02/07/2018 03:10 PM - Patrick Plitzner
- Related to feature request #7076: Add Nebula Composite Table as direct dependency added

#9 - 02/08/2018 08:42 AM - Andreas Kohlbecker

Es sieht so aus als wiirde der taxeditor nach dem 2ten redirect einfach nicht weiter machen .
Sorry, das war quatsch, der redirect geht auf einen URL mit dem HTTPS Protokol, das bedeutet. Ab diesem Punkt ist die Kommunikation per SSL
oder TSL verschlUsslt, daher erfasst der HTTP filter in wireshark den Traffic nicht mehr. Um auch den verschlisselten Traffic analysieren zu kénnen,
muss er in wireshark entschlisslelt werden. Wie das geht steht hier beschrieben:
https://blog.stalkr.net/2010/03/codegate-decrypting-https-ssl-rsa-768.html

#10 - 02/08/2018 09:16 AM - Andreas Kohlbecker

Ich habe testweise den redirect auf https im server deaktiviert und das update hat prompt geklappt.
@patrick: Steht in der eclipse Dokumentation zu den update sites etwas https, ssl oder ts|? Gibt es in diesem Zusammenhang bekannte Probleme?
Ich habe versucht die update site aus dem redirect explizit aus zu schlieBen, hatte aber bislang keinen Erfolg damit.

#11 - 02/08/2018 02:16 PM - Patrick Plitzner

Ah, das ist ja interessant. Weif3 nicht, ob dort etwas steht, aber ich werde mal schauen.

#12 - 02/15/2018 05:41 PM - Andreas Kohlbecker

- File wireshark-log-2018-02-15-1.png added

ich habe den redirect auf https wieder deaktiviert, so dass die updates fur nightly wieder funktionieren miissen.
Es werden aber keine Upadates gefunden.

wie in wireshark zu sehen ist holt sich der editor die content.xml.xz und bricht dann ab:

No. Time Source Destination Protocol  Length Info
11 2.776077084 192.168.124.52 160.45.63.172 HTTP 468 GET /download/taxeditor/update/nightly/p2.index HTTP/1.1
13 2.813106693 160.45.63.172 192.168.124.52 HTTP 497 HTTP/1.1 200 OK

18 2.939581508 192.168.124.52 160.45.63.172 HTTP 255 HEAD /download/taxeditor/update/nightly/content.xml.xz HTTP/1.1

ein cache problem? oder unterscheiden sich die content.xml.xz der nightly build einfach nicht?

dies ist die aktuelle content.xml.xz: content-2018-02-15_16-26.xml.xz

#13 - 02/15/2018 05:44 PM - Andreas Kohlbecker
- File content-2018-02-15_16-26.xml.xz added

#14 - 02/15/2018 05:49 PM - Andreas Kohlbecker
- File wireshark-log-after-reload.png added

nach dem "reload" wie in #5061 empfohlen wird wesentlich mehr von der Update site herunter geladen:

No. | Time Source Destination Protocol Length Info

—» 36 8.055823802 192.168.124.52 160.45.63.172 HTTP 468 GET /download/taxeditor/update/nightly/p2.index HTTP/1.1

<« 38 8.094100017 160.45.63.172 192.168.124.52 HTTP 497 HTTP/1.1 200 0K
44 8.286341536 192.168.124.52 160.45.63.172 HTTP 255 HEAD /download/taxeditor/update/nightly/content.xml.xz HTTP/1.1
46 B8.323683750 160.45.63.172 192.168.124.52 HTTP 361 HTTP/1.1 200 OK
51 8.595039933 192.168.124.52 160.45.63.172 HTTP 468 GET /download/taxeditor/update/nightly/p2.index HTTP/1.1
53 8.632126510 160.45.63.172 192.168.124.52 HTTP 497 HTTP/1.1 200 0K
58 8.677345656 192.168.124.52 160.45.63.172 HTTP 257 HEAD /download/taxeditor/update/nightly/artifacts.xml.xz HTTP/1.1
60 8.714041673 160.45.63.172 192.168.124.52 HTTP 361 HTTP/1.1 200 0K
65 8.753964061 192.168.124.52 160.45.63.172 HTTP 476 GET /download/taxeditor/update/nightly/artifacts.xml.xz HTTP/1.1
77 8.793830607 160.45.63.172 192.168.124.52 HTTP 1933 HTTP/1.1 200 OK (application/x-xz)

Aber noch immer "No updates found!"

Auch nach einen Neutstart des Editors keine Verénderung.

#15 - 02/15/2018 10:10 PM - Andreas Kohlbecker

- Description updated

#16 - 02/16/2018 08:44 AM - Andreas Kohlbecker

ich habe den redirect auf https wieder aktiviert

#17 - 02/20/2018 11:23 AM - Andreas Kohlbecker

- Description updated
supplying some more details to the issue description ...

#18 - 02/20/2018 11:33 AM - Andreas Kohlbecker

test:
1. deleted exiting ./p2/org.eclipse.equinox.p2.repository/cache/-622154754 file which had the md5 sum: 0c798397f7bd1a77065d591075b195fa

1. trying update ... no updates found

2.the ./p2/org.eclipse.equinox.p2.repository/cache/-622154754 has been restored and has been obviously been updated, it has a new md5 sum:
20d10682041b1bde580ba4700e139cce which exactly matches the content.xml.xz file in the update site. This finding supports the observations
made with wireshark.

#19 - 02/20/2018 12:08 PM - Andreas Kohlbecker
- Related to bug #7279: p2 sites are extremely huge added

#20 - 02/20/2018 12:11 PM - Andreas Kohlbecker

something extremely interesting happened:

After deleting and recreating the taxeditor/update/nightly folder the update suddenly worked, see #7279.
Maybe the update sizes contain old files which confuse the p2 update manager?

#21 - 02/21/2018 04:22 PM - Patrick Plitzner

- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.0

- % Done changed from 0 to 50

By clearing the update site with every build (#7279) This issue seems to be solved.

#22 - 03/22/2018 04:25 PM - Andreas Kohlbecker

we need to review and test this once again after the release 4.15 to sure it is fixed.

#23 - 05/26/2018 07:06 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

It looks like nightly update does not work anymore in 5.1-Snapshot

#24 - 06/25/2018 03:59 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

The update did not work for after the release because of a wrong version tag due to the manual update script.

This has already been fixed with taxeditor|9fb97d484e04342323e25b786819acebc94289de and has already been tested.

@Andreas K.: Can you test this again. But you need to have a downloaded nightly build after this commit.

#25 - 06/25/2018 04:16 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

Patrick Plitzner wrote:

@Andreas K.: Can you test this again. But you need to have a downloaded nightly build after this commit.

Updating the version 5.1.0.201806110837 to the latest nightly build 5.1.0.201806251348 worked for me

#26 - 06/25/2018 04:17 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 50 to 100
https://dev.e-taxonomy.eu/redmine/issues/7279
#27 - 07/02/2020 09:45 AM - Andreas Miiller
- Related to feature request #9118: Change p2 update site to https in Taxeditor added

#28 - 07/06/2020 02:34 PM - Andreas Kohlbecker
- Tags set to eclipse-p2

#29 - 07/06/2020 02:35 PM - Andreas Kohlbecker
- Tags changed from eclipse-p2 to eclipse-p2

Files

wireshark-screenshot.png 266 KB 11/22/2017 Andreas Kohlbecker
wireshark-log-2018-02-15-1.png 51.7 KB 02/15/2018 Andreas Kohlbecker
content-2018-02-15_16-26.xml.xz 47.3 KB 02/15/2018 Andreas Kohlbecker
wireshark-log-after-reload.png 125 KB 02/15/2018 Andreas Kohlbecker
